from pdnsapi import PdnsRestAdapter
import dns.resolver
import dns.nameserver

global api
global domain


def test_api_initialized():
    global api, domain

    server = "localhost:8081"
    apikey = "pdns-supersecret"
    api = PdnsRestAdapter(server, apikey)
    domain = 'test1.nhn.no'
    assert api is not None

def test_pdns_running():
    resolv = dns.resolver.Resolver()
    assert resolv is not None
    resolv.nameservers = [dns.nameserver.Do53Nameserver('127.0.0.1', 10053)]
    answer = resolv.resolve(domain, 'SOA')
    assert answer is not None
